Informazioni sui contenuti di sicurezza di Safari 10

In questo documento vengono descritti i contenuti di sicurezza di Safari 10.

Informazioni sugli aggiornamenti di sicurezza Apple

Per proteggere i propri clienti, Apple non divulga, illustra o conferma alcun problema relativo alla sicurezza prima di aver eseguito un'indagine approfondita e messo a disposizione le correzioni o gli aggiornamenti necessari. Puoi trovare un elenco delle versioni più recenti alla pagina Aggiornamenti di sicurezza Apple.

Per ulteriori informazioni sulla sicurezza, visita la pagina relativa alla sicurezza dei prodotti Apple. Puoi codificare le comunicazioni con Apple usando la chiave PGP per la sicurezza dei prodotti Apple.

Quando possibile, i documenti di sicurezza Apple utilizzano gli ID CVE per indicare le vulnerabilità.

Safari 10

In commercio dal 20 settembre 2016

Reader di Safari

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'abilitazione della funzione Reader di Safari su una pagina web dannosa può causare il cross-site scripting universale.

Descrizione: diversi problemi di convalida sono stati risolti attraverso una migliore sanitizzazione dell'input.

CVE-2016-4618: Erling Ellingsen

Voce aggiornata il 23 settembre 2016

Pannelli di Safari

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'accesso a un sito web dannoso può causare lo spoofing della barra degli indirizzi.

Descrizione: si verificava un problema di gestione dello stato nella gestione delle sessioni dei pannelli. Questo problema è stato risolto attraverso una migliore gestione dello stato.

CVE-2016-4751: Daniel Chatfield di Monzo Bank

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'elaborazione di contenuti web pericolosi può causare l'esecuzione di codice arbitrario.

Descrizione: si verifica un problema di analisi nella gestione dei prototipi di errore. Questo problema viene risolto attraverso una migliore convalida.

CVE-2016-4728: Daniel Divricean

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'accesso a un sito web pericoloso può causare la perdita di dati sensibili.

Descrizione: si verificava un problema di autorizzazioni nella gestione della variabile di posizione. Il problema è stato risolto con ulteriori verifiche della proprietà.

CVE-2016-4758: Masato Kinugawa di Cure53

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'elaborazione di contenuti web pericolosi può causare l'esecuzione di codice arbitrario.

Descrizione: diversi problemi di danneggiamento della memoria sono stati risolti attraverso una migliore gestione della memoria.

CVE-2016-4611: Apple

CVE-2016-4729: Apple

CVE-2016-4730: Apple

CVE-2016-4731: Apple

CVE-2016-4734: natashenka di Google Project Zero

CVE-2016-4735: André Bargull

CVE-2016-4737: Apple

CVE-2016-4759: Tongbo Luo di Palo Alto Networks

CVE-2016-4762: Zheng Huang di Baidu Security Lab

CVE-2016-4766: Apple

CVE-2016-4767: Apple

CVE-2016-4768: anonimo in collaborazione con Zero Day Initiative di Trend Micro

CVE-2016-4769: Tongbo Luo di Palo Alto Networks

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: un sito web dannoso può accedere ai servizi non HTTP

Descrizione: l'assistenza di Safari di HTTP/0.9 ha consentito l'utilizzo di diversi protocolli di servizi non HTTP utilizzando un nuovo collegamento DNS. Il problema è stato affrontato limitando le risposte HTTP/0.9 alle porte predefinite e annullando i caricamenti delle risorse se il documento è stato caricato con una versione diversa del protocollo HTTP.

CVE-2016-4760: Jordan Milne

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'elaborazione di contenuti web pericolosi può causare l'esecuzione di codice arbitrario.

Descrizione: diversi problemi di danneggiamento della memoria sono stati risolti attraverso una migliore gestione dello stato.

CVE-2016-4733: natashenka di Google Project Zero

CVE-2016-4765: Apple

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: un malintenzionato con una posizione privilegiata sulla rete potrebbe intercettare e modificare il traffico sulla rete alle applicazioni che utilizzano WKWebView con HTTPS

Descrizione: si verifica un problema relativo alla convalida di gestione dei certificati WKWebView. che è stato risolto attraverso una migliore convalida.

CVE-2016-4763: un ricercatore anonimo

WebKit

Disponibile per: OS X Yosemite 10.10.5, OS X El Capitan 10.11.6 e macOS Sierra 10.12

Impatto: l'elaborazione di contenuti web pericolosi può causare l'esecuzione di codice arbitrario.

Descrizione: diversi problemi di danneggiamento della memoria sono stati risolti attraverso una migliore gestione dello stato.

CVE-2016-4764: Apple

Voce aggiunta il 3 novembre 2016

Le informazioni su prodotti non fabbricati da Apple, o su siti web indipendenti non controllati o testati da Apple, non implicano alcuna raccomandazione o approvazione. Apple non si assume alcuna responsabilità in merito alla scelta, alle prestazioni o all'utilizzo di prodotti o siti web di terze parti. Apple non esprime alcuna opinione in merito alla precisione o all'affidabilità dei siti web di terze parti. Per ulteriori informazioni contatta il fornitore.

Data di pubblicazione: